| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Digikam::Parser Class Reference
Inheritance diagram for Digikam::Parser:

## Public Member Functions
| Parser (QWidget *const widget)
ParseResults | invalidModifiers (ParseSettings &settings)
RulesList | modifiers () const
RulesList | options () const
QString | parse (ParseSettings &settings)
void | reset ()
bool | tokenAtPosition (ParseSettings &settings, int pos)
bool | tokenAtPosition (ParseSettings &settings, int pos, int &start, int &length)

## Static Public Member Functions
static bool | parseStringIsValid (const QString &str)
| check if the given parse string is valid

## Protected Member Functions
void | registerModifier (Rule *modifier)
void | registerOption (Rule *option)
void | unregisterModifier (const Rule *modifier)
void | unregisterOption (const Rule *option)

## Member Function Documentation

## ◆ parseStringIsValid()

bool Digikam::Parser::parseStringIsValid | ( | const QString & | str | ) |
| static

Parameters

  str | the parse string

Returns
  true if valid / can be parsed